edu.isi.pegasus.planner.invocation

## Interface HasText

All Known Implementing Classes:
  Architecture, ArgEntry, ArgString, Boot, CommandLine, CPU, Data, Descriptor, EnvEntry, Fifo, File, Ignore, JobStatusFailure, JobStatusSignal, JobStatusSuspend, Regular, Stamp, Temporary, Uname, WorkingDir

    public interface HasText

This interface defines a common base for all elements in an invocation record that can carry text in their values. It exists primarily for grouping purposes and for easier access through the character SAX callback. Due to the fact that SAX may present text in several chunks, all text-carrying classes must also provide the append function.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `appendValue(java.lang.String fragment)` Appends a piece of text to the existing text.
`java.lang.String` `getValue()` Accessor
`void` `setValue(java.lang.String value)` Accessor.

### Method Detail

#### appendValue

    void appendValue(java.lang.String fragment)

Appends a piece of text to the existing text.

Parameters:
  `fragment` - is a piece of text to append to existing text. Appending `null` is a noop.

#### getValue

    java.lang.String getValue()

Accessor

See Also:
  `setValue(String)`

#### setValue

    void setValue(java.lang.String value)

Accessor.

Parameters:
  `value` - is the new value to set.
See Also:
  `getValue()`